﻿using MemoryLeakFlexGrid;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel.DataAnnotations.Schema;
using System.Diagnostics;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace FlexGridLeak;

public class Model : NotifyBase, IDisposable
{
    private bool disposedValue;

    public ObservableCollection<Person> Items { get; set; } = new();
    public Model()
    {
        for (int i = 0; i < 100000; i++)
        {
            Items.Add(new Person() { Name = (i + 1).ToString() });
        }
    }

    protected virtual void Dispose(bool disposing)
    {
        if (!disposedValue)
        {
            if (disposing)
            {
            }
            disposedValue = true;
        }
    }
    public void Dispose()
    {
        Dispose(disposing: true);
        GC.SuppressFinalize(this);
    }
}

public class Person : NotifyBase
{
    private bool _check;
    [NotMapped]
    public bool Check
    {
        get => _check;
        set => SetField(ref _check, value);
    }

    private string _name = "";
    public string Name
    {
        get => _name;
        set => SetField(ref _name, value);
    }
}